W3C home > Mailing lists > Public > public-qt-comments@w3.org > October 2012

[Bug 19671] [XQ3.0] Backwards compatibility and the version declaration

From: <bugzilla@jessica.w3.org>
Date: Tue, 30 Oct 2012 14:04:09 +0000
To: public-qt-comments@w3.org
Message-ID: <bug-19671-523-sH3HNb7Fga@http.www.w3.org/Bugs/Public/>
https://www.w3.org/Bugs/Public/show_bug.cgi?id=19671

--- Comment #6 from Jonathan Robie <jonathan.robie@gmail.com> ---
(In reply to comment #5)
>  The version number 1.0" indicates a requirement 

s/requirement/intent

> * Evaluate the query using the semantics of the XQuery version specified in
> the version declaration.

s/Evaluate the query/process the module
s/semantics/specification
/s/version specified in/identified in/

> * Evaluate the query using the semantics of XQuery 3.0.
>   Note: An implementation may issue a warning in this case. 

s/semantics/specification/

> * Raise a static error [err:XQST0031].

-- 
You are receiving this mail because:
You are the QA Contact for the bug.
Received on Tuesday, 30 October 2012 14:04:15 GMT

This archive was generated by hypermail 2.2.0+W3C-0.50 : Tuesday, 30 October 2012 14:04:15 GMT